> For the complete documentation index, see [llms.txt](https://docs.velafi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.velafi.com/api-reference/merchant/get-woovi-liveness-url.md).

# Get Woovi liveness URL

This endpoint is the URL for obtaining the Woovi live verification.

**Endpoint Information**

* **Request Header:** `X-BH-TOKEN: ******`
* **Request Header:** `Content-Type: application/json`
* **Request Method:** POST
* **Request Path:** `/v2/merchant/woovi/liveness`
* **Authorization Required:** Yes

**Request Parameters**

The request body should include the following fields:

```json
{         
    "merchantId": 151209, //(required, string: Merchant id) 
    "generateNewLiveness":false // (optional, boolean: true/false,Regenerate liveness) 
}
```

**Response Structure**

The response will include the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "livenessId": "035236af-c51e-4b12-af1a-7cbd26e59c0b", // (string: ID of the liveness) 
        "livenessUrl": "https://app.sandbox.io/liveness/3744e440-2880-468?jwt=eyJhbGciOiJIUzI...", // (string: url of the liveness) 
        "expiresAt": "1788244424", // (number: timestamp of the expiration time in seconds) 
        "status": "PENDING", // (string: status [PENDING: Pending liveness, COMPLETED: Liveness check completed, KYC_APPROVED: KYC review completed])
        "failReason": "" //(string: fail reason of the liveness) 
    }
}
```

**Example Request**

```json
{         
    "merchantId": 151209,
    "generateNewLiveness":false 
}
```

**Example Response**

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {
        "livenessId": "035236af-c51e-4b12-af1a-7cbd26e59c0b",
        "livenessUrl": "https://app.sandbox.avenia.io/liveness/3744e440-2880-468c-8204-b992e4213e90?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3ODgyNDQ0MjQsImlhdCI6MTc4ODI0NDEyNCwic2Vzc2lvbklkIjoiMzc0NGU0NDAtMjg4MC00NjhjLTgyMDQtYjk5MmU0MjEzZTkwIiwic3ViIjoiMDM1MjM2YWYtYzUxZS00YjEyLWFmMWEtN2NiZDI2ZTU5YzBiIn0.LiD-iQ8dAsv2Mei3GOwltBgp76Tuv73Bn50t6m7PFgE",
        "expiresAt": "1788244424",
        "status": "PENDING",
        "failReason": ""
    }
}
```

#### Notes

* Ensure to provide valid parameters for successful order creation.
* The response will confirm the successful creation of the order along with the `txId` for tracking.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.velafi.com/api-reference/merchant/get-woovi-liveness-url.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
